"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("./module.js");

var _presetEnv = _interopRequireDefault(require("@babel/preset-env"));

var _presetReact = _interopRequireDefault(require("@babel/preset-react"));

var _presetTypescript = _interopRequireDefault(require("@babel/preset-typescript"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = (_api, options) => {
  const {
    NODE_ENV,
    NODE_TARGET,
    NODE_TYPE
  } = process.env;
  const {
    env = NODE_ENV ?? "production",
    target = NODE_TARGET,
    type = NODE_TYPE
  } = options;

  const __PROD__ = env === "production";

  const __DEV__ = env === "development";

  const __TEST__ = env === "test";

  const __NODE__ = target === "node";

  const __MODERN__ = target === "modern";

  const __MODULE__ = target === "module";

  const __NOMODULE__ = target === "nomodule";

  const __COMMONJS__ = type === "commonjs";

  return {
    presets: [[_presetEnv.default, {
      bugfixes: true,
      modules: __COMMONJS__ && "commonjs",
      loose: false,
      ignoreBrowserslistConfig: true,
      targets: __NODE__,
      // ? {
      //     node: true,
      //   }
      // : __MODERN__
      // ? modern
      // : __MODULE__
      // ? module
      // : __NOMODULE__
      // ? nomodule
      // : {
      //     node: "14",
      //     chrome: "80",
      //   },
      useBuiltIns: false,
      debug: __DEV__
    }], [_presetTypescript.default], [_presetReact.default, {
      useBuiltIns: __NOMODULE__,
      useSpread: !__NOMODULE__,
      development: __DEV__
    }]]
  };
};

exports.default = _default;
//# sourceMappingURL=index.js.map