import "./module.mjs";
import presetEnv from "@babel/preset-env";
import presetReact from "@babel/preset-react";
import presetTypescript from "@babel/preset-typescript";
export default ((_api, options) => {
  const {
    NODE_ENV,
    NODE_TARGET,
    NODE_TYPE
  } = process.env;
  const {
    env = NODE_ENV ?? "production",
    target = NODE_TARGET,
    type = NODE_TYPE
  } = options;

  const __PROD__ = env === "production";

  const __DEV__ = env === "development";

  const __TEST__ = env === "test";

  const __NODE__ = target === "node";

  const __MODERN__ = target === "modern";

  const __MODULE__ = target === "module";

  const __NOMODULE__ = target === "nomodule";

  const __COMMONJS__ = type === "commonjs";

  return {
    presets: [[presetEnv, {
      bugfixes: true,
      modules: __COMMONJS__ && "commonjs",
      loose: false,
      ignoreBrowserslistConfig: true,
      targets: __NODE__,
      // ? {
      //     node: true,
      //   }
      // : __MODERN__
      // ? modern
      // : __MODULE__
      // ? module
      // : __NOMODULE__
      // ? nomodule
      // : {
      //     node: "14",
      //     chrome: "80",
      //   },
      useBuiltIns: false,
      debug: __DEV__
    }], [presetTypescript], [presetReact, {
      useBuiltIns: __NOMODULE__,
      useSpread: !__NOMODULE__,
      development: __DEV__
    }]]
  };
});
//# sourceMappingURL=index.mjs.map